<html>
<head>
<style><!--
.hmmessage P
{
margin:0px;
padding:0px
}
body.hmmessage
{
font-size: 12pt;
font-family:Calibri
}
--></style></head>
<body class='hmmessage'><div dir='ltr'><font color="#000000" face="Calibri,sans-serif">Hey Alex,</font><BR><font color="#000000" face="Calibri,sans-serif">monolite is built and uploaded automatically by Wrench: <a href="https://wrench.mono-project.com/Wrench/ViewTable.aspx?host_id=21&lane_id=4&page=0&limit=20">https://wrench.mono-project.com/Wrench/ViewTable.aspx?host_id=21&lane_id=4&page=0&limit=20</a>, the issue I think was that the build was broken there so a new monolite didn't get uploaded, this is now fixed.</font><BR> <BR>The thing to keep in mind is that the corlib version inside monolite needs to match the runtime version or bootstrapping the classlib build won't work, so you can't just keep an old monolite and use it to build newer Mono (at least that's how I understood it).<BR><font color="#000000" face="Calibri,sans-serif"><br id="FontBreak"></font>If you don't want to rely on monolite, another option is to just install a recent Mono release and use that for bootstrapping (e.g. right now the build still works with Mono 3.2).<BR> <BR>-- Alex<br> <BR><div>> Date: Thu, 11 Dec 2014 01:28:44 +0100<br>> From: ajlennon@dynamicdevices.co.uk<br>> To: alex.koeplinger@outlook.com; bperry.volatile@gmail.com; gacevedo@gmail.com<br>> CC: mono-devel-list@lists.ximian.com<br>> Subject: Re: [Mono-dev] monolite URL<br>> <br>> <br>> On 10/12/2014 20:46, Gabriel Acevedo wrote:<br>> > Thank you all. I built mono-3.8.0 yesterday, and I was able to get<br>> > monolite-111 from the URL in Makefile without problems. I guess it<br>> > changed today.<br>> ><br>> > Thanks again.<br>> <br>> The Windows Appveyor builds have been broken for some days as when<br>> mono_corlib_version (I think) changes, the monolite URL dependency<br>> changes (?), but often the appropriate download isn't available, and<br>> similarly sometimes old versions aren't available.<br>> <br>> It would be great not to have this external dependency for build. I<br>> started out trying to work-around this by removing the<br>> get-monolite-latest step from the Appveyor config in favour of use of<br>> EXTERNAL_MCS<br>> <br>> I couldn't quite seem to hit the right incantations though and ran out<br>> of time, but will revisit.<br>> <br>> Cheers, Alex<br>> <br></div>                                         </div></body>
</html>